hbase-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Lars Hofhansl (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HBASE-15059) Allow 0.94 to compile against Hadoop 2.7.x
Date Mon, 04 Jan 2016 23:13:40 GMT

    [ https://issues.apache.org/jira/browse/HBASE-15059?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15081976#comment-15081976
] 

Lars Hofhansl commented on HBASE-15059:
---------------------------------------

I think I'd rather document the process (over recompiling PB every time, since that requires
the correct version of protoc on the machine as you say, even when it is not needed).
At least it is possible to build against Hadoop 7.x

Another option is to not override the protobuf version to pull in, but require an explicit
-Dprotobuf.version=2.5.0 (could even add a comment in pom.xml to that extend).
That would make the failure explicit at runtime. Folks would then look into what failed and
find the instructions here, which would include to call build-proto.sh.

Trying not to overcomplicate things. :)

Thoughts?


> Allow 0.94 to compile against Hadoop 2.7.x
> ------------------------------------------
>
>                 Key: HBASE-15059
>                 URL: https://issues.apache.org/jira/browse/HBASE-15059
>             Project: HBase
>          Issue Type: Bug
>            Reporter: Lars Hofhansl
>            Assignee: Lars Hofhansl
>             Fix For: 0.94.28
>
>         Attachments: 15059-v2.txt, 15059.txt
>
>
> Currently HBase 0.94 cannot be compiled against Hadoop 2.7.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message